SystemOrganization addCategory: #NatureOfCode!

Morph subclass: #BaseCanvasMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NatureOfCode'!

!BaseCanvasMorph methodsFor: 'as yet unclassified' stamp: 'jmg 10/29/2012 18:10'!
drawOn: aCanvas 
	| transform |
	super drawOn: aCanvas.
	transform := MatrixTransform2x3 withOffset: self topLeft.
	aCanvas asBalloonCanvas
		transformBy: transform
		during: [:canvas | 
			WorldState
				addDeferredUIMessage: [Transcript show: 'Drawing called...';
						 cr].
			canvas aaLevel: 4.
			canvas
				clipBy: self bounds
				during: [:clippedCanvas | self privateDrawOn: clippedCanvas.]]! !

!BaseCanvasMorph methodsFor: 'as yet unclassified' stamp: 'jmg 10/29/2012 17:46'!
initialize
	super initialize.
	self color: (Color white).
	self extent: (640@480).! !

!BaseCanvasMorph methodsFor: 'as yet unclassified' stamp: 'jmg 10/29/2012 18:10'!
privateDrawOn: aCanvas! !
